USN-3238-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-3238-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-3238-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-3238-1
Related
  • CVE-2017-5428
Published
2017-03-20T22:12:02.362386Z
Modified
2017-03-20T22:12:02.362386Z
Summary
firefox vulnerability
Details

An integer overflow was discovered in Firefox. If a user were tricked in to opening a specially crafted website, an attacker could exploit this to cause a denial of service via application crash or execute arbitrary code. (CVE-2017-5428)

References

Affected packages

Ubuntu:14.04:LTS / firefox

Package

Name
firefox

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
52.0.1+build2-0ubuntu0.14.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "firefox-locale-nl": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-kn": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-gl": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-sv": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-kk": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-fy": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-or": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-az": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-lt": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-hy": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-eo": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-km": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-testsuite": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-sr": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-is": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-ca": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-uk": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-ga": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-it": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-ja": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-lg": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-ms": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-zh-hans": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-mozsymbols": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-ko": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-hr": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-mai": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-nb": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-dev": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-vi": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-he": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-sw": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-el": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-oc": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-xh": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-nn": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-ar": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-csb": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-hsb": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-cs": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-gn": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-zu": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-ro": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-globalmenu": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-af": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-nso": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-sk": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-si": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-cy": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-fa": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-cak": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-sq": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-en": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-tr": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-br": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-et": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-ast": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-th": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-da": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-fi": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-ku": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-mn": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-ru": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-mk": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-bg": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-hu": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-gu": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-bn": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-kab": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-ml": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-an": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-be": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-eu": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-fr": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-pa": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-as": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-lv": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-pl": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-gd": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-te": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-ta": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-ka": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-id": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-bs": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-hi": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-zh-hant": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-mr": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-es": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-sl": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-uz": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-pt": "52.0.1+build2-0ubuntu0.14.04.1",
            "firefox-locale-de": "52.0.1+build2-0ubuntu0.14.04.1"
        }
    ]
}

Ubuntu:16.04:LTS / firefox

Package

Name
firefox

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
52.0.1+build2-0ubuntu0.16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "firefox-locale-nl": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-kn": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-gl": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-sv": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-kk": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-fy": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-or": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-az": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-lt": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-hy": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-eo": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-km": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-testsuite": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-sr": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-is": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-ca": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-uk": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-ga": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-it": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-ja": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-lg": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-ms": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-zh-hans": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-mozsymbols": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-ko": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-hr": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-mai": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-nb": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-dev": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-vi": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-he": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-sw": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-el": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-oc": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-xh": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-nn": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-ar": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-csb": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-hsb": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-cs": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-gn": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-zu": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-ro": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-globalmenu": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-af": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-nso": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-sk": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-si": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-cy": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-fa": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-cak": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-sq": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-en": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-tr": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-br": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-et": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-ast": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-th": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-da": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-fi": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-ku": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-mn": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-ru": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-mk": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-bg": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-hu": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-gu": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-bn": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-kab": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-ml": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-an": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-be": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-eu": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-fr": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-pa": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-as": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-lv": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-pl": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-gd": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-te": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-ta": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-ka": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-id": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-bs": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-hi": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-zh-hant": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-mr": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-es": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-sl": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-uz": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-pt": "52.0.1+build2-0ubuntu0.16.04.1",
            "firefox-locale-de": "52.0.1+build2-0ubuntu0.16.04.1"
        }
    ]
}